#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_window_about( GtkWidget *parent, const int realize )
{
	GtkWidget	*wgt_1_2, *wgt_2_3, *wgt_2_4, *wgt_3_5, *wgt_3_6, 
				*wgt_4_7, *wgt_4_8, *wgt_4_9, *wgt_4_10, *wgt_2_11, 
				*wgt_2_12;
	GtkAccelGroup	*_wgt_accel_group;

	wgt_about = gtk_widget_new( gtk_window_get_type(),
		"GtkWidget::width", 415,
		"GtkWidget::height", 316,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK |
			GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK,
		"GtkContainer::resize_mode", GTK_RESIZE_QUEUE,
		"GtkWindow::title", "About Awari",
		"GtkWindow::allow_grow", TRUE,
		"GtkWindow::modal", TRUE,
		"GtkWindow::default_width", 400,
		"GtkWindow::default_height", 300,
		NULL );
	_wgt_accel_group = gtk_accel_group_new();
	gtk_window_add_accel_group( GTK_WINDOW( wgt_about ), _wgt_accel_group );

	wgt_1_2 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", wgt_about,
		NULL );

	wgt_2_3 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkLabel::label", "AWARI",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_3,
		"GtkBox::expand", FALSE,
		"GtkBox::padding", 4,
		NULL );

	wgt_2_4 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_1_2,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_4,
		"GtkBox::position", 1,
		NULL );

	wgt_3_5 = gtk_widget_new( gtk_pixmap_get_type(),
		"GtkWidget::parent", wgt_2_4,
		NULL );

	wgt_3_6 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", wgt_2_4,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_3_6,
		"GtkBox::position", 1,
		NULL );

	wgt_4_7 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_6,
		"GtkLabel::label", "Game of Awari",
		NULL );

	wgt_4_8 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_6,
		"GtkLabel::label", "v1.00 (5 May 2001)",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_6 ), wgt_4_8,
		"GtkBox::position", 1,
		NULL );

	wgt_4_9 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_6,
		"GtkLabel::label", "Olivier Singla\nomsingla@surfbest.net",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_6 ), wgt_4_9,
		"GtkBox::position", 2,
		NULL );

	wgt_4_10 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_6,
		"GtkLabel::label", "Made with Gtk Lo Gafet (GLG)\nhttp:/staf.qnx.com/~omsingla/glg/index.html",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_6 ), wgt_4_10,
		"GtkBox::position", 3,
		NULL );

	wgt_2_11 = gtk_widget_new( gtk_hseparator_get_type(),
		"GtkWidget::parent", wgt_1_2,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_11,
		"GtkBox::expand", FALSE,
		"GtkBox::padding", 3,
		"GtkBox::position", 2,
		NULL );

	wgt_2_12 = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Close",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_12,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 3,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_2_12 ), "clicked",
		GTK_SIGNAL_FUNC( cb_about_btn_close ), NULL );

	if ( realize )
		gtk_widget_show_all( wgt_about );

	return wgt_about;

}								// create_window_about
