#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_menu_help( void )
{
	GtkWidget	*wgt_2_3, *wgt_1_4, *wgt_2_6;

	wgt_menuhelp = gtk_widget_new( gtk_menu_get_type(),
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );

	wgt_helpmenu_rules = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", wgt_menuhelp,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_helpmenu_rules ), "activate",
		GTK_SIGNAL_FUNC( cb_btn_helpmenu_rules ), NULL );

	wgt_2_3 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", wgt_helpmenu_rules,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Rules of Awari",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_3 ), wgt_helpmenu_rules );

	wgt_1_4 = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", wgt_menuhelp,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );

	wgt_helpmenu_about = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", wgt_menuhelp,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_helpmenu_about ), "activate",
		GTK_SIGNAL_FUNC( cb_btn_helpmenu_about_activate ), NULL );

	wgt_2_6 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", wgt_helpmenu_about,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "About",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_6 ), wgt_helpmenu_about );

	gtk_widget_show_all( wgt_menuhelp );

	gtk_menu_popup( GTK_MENU( wgt_menuhelp ), NULL, NULL, NULL, NULL,
		1, NULL );

	return wgt_menuhelp;

}								// create_menu_help
