#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gtk/gtk.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_window1( GtkWidget *parent, const int realize )
{
	GtkWidget	*wgt_1_2, *wgt_2_3, *wgt_3_4, *wgt_4_5, *wgt_3_7, 
				*wgt_2_12, *wgt_3_13, *wgt_4_14, *wgt_4_15, *wgt_4_16, 
				*wgt_4_19, *wgt_5_21, *wgt_4_22, *wgt_4_24, *wgt_3_27, 
				*wgt_4_28, *wgt_4_30, *wgt_4_35, *wgt_4_36, *wgt_4_37, 
				*wgt_2_38, *wgt_2_39;

	wgt_dialog_cb = gtk_widget_new( gtk_window_get_type(),
		"GtkWidget::width", 490,
		"GtkWidget::height", 440,
		"GtkWidget::events", 0x0000030C,
		"GtkContainer::resize_mode", GTK_RESIZE_QUEUE,
		"GtkWindow::title", "window1",
		"GtkWindow::allow_grow", TRUE,
		"GtkWindow::default_width", 400,
		"GtkWindow::default_height", 300,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dialog_cb ), "delete_event",
		GTK_SIGNAL_FUNC( cb_close_window ), NULL );

	wgt_1_2 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", wgt_dialog_cb,
		NULL );

	wgt_2_3 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_1_2,
		NULL );

	wgt_3_4 = gtk_widget_new( gtk_frame_get_type(),
		"GtkWidget::parent", wgt_2_3,
		"GtkFrame::label", "Current Callbacks",
		NULL );

	wgt_4_5 = gtk_widget_new( gtk_scrolled_window_get_type(),
		"GtkWidget::parent", wgt_3_4,
		"GtkContainer::resize_mode", GTK_RESIZE_QUEUE,
		"GtkScrolledWindow::hadjustment", gtk_adjustment_new( 0.000000, 0.000000, 872.000000, 10.000000, 216.000000, 433.000000 ),
		"GtkScrolledWindow::vadjustment", gtk_adjustment_new( 0.000000, 0.000000, 1.000000, 15.000000, 90.000000, 1.000000 ),
		"GtkScrolledWindow::hscrollbar_policy", GTK_POLICY_NEVER,
		"GtkScrolledWindow::vscrollbar_policy", GTK_POLICY_AUTOMATIC,
		NULL );

	wgt_dlgcb_list = gtk_widget_new( gtk_clist_get_type(),
		"GtkWidget::parent", wgt_4_5,
		"GtkWidget::can_focus", TRUE,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_list ), "select_row",
		GTK_SIGNAL_FUNC( cb_dlgcb_list_selected ), NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_list ), "unselect_row",
		GTK_SIGNAL_FUNC( cb_dlgcb_list_unselected ), NULL );

	wgt_3_7 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", wgt_2_3,
		"GtkBox::spacing", 4,
		"GtkBox::homogeneous", TRUE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_3 ), wgt_3_7,
		"GtkBox::expand", FALSE,
		"GtkBox::padding", 2,
		"GtkBox::position", 1,
		NULL );

	wgt_dlgcb_btn_add = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_3_7,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Add",
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_btn_add ), "clicked",
		GTK_SIGNAL_FUNC( cb_dlgcb_btn_add ), NULL );

	wgt_dlgcb_btn_delete = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_3_7,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Delete",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_7 ), wgt_dlgcb_btn_delete,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_btn_delete ), "clicked",
		GTK_SIGNAL_FUNC( cb_dlgcb_btn_delete ), NULL );

	wgt_dlgcb_btn_update = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_3_7,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Update",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_7 ), wgt_dlgcb_btn_update,
		"GtkBox::position", 2,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_btn_update ), "clicked",
		GTK_SIGNAL_FUNC( cb_dlgcb_btn_update ), NULL );

	wgt_dlgcb_btn_edit = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_3_7,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Edit",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_7 ), wgt_dlgcb_btn_edit,
		"GtkBox::position", 3,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_btn_edit ), "clicked",
		GTK_SIGNAL_FUNC( cb_dlgcb_btn_edit ), NULL );

	wgt_2_12 = gtk_widget_new( gtk_frame_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkFrame::label", "Callback Description",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_12,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 1,
		NULL );

	wgt_3_13 = gtk_widget_new( gtk_table_get_type(),
		"GtkWidget::parent", wgt_2_12,
		"GtkTable::n_rows", 4,
		"GtkTable::n_columns", 2,
		"GtkTable::row_spacing", 2,
		"GtkTable::column_spacing", 4,
		NULL );

	wgt_4_14 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_13,
		"GtkMisc::xalign", 0.950000,
		"GtkLabel::label", "Accelerator:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_4_14,
		"GtkTable::top_attach", 3,
		"GtkTable::bottom_attach", 4,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_4_15 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_13,
		"GtkMisc::xalign", 0.950000,
		"GtkLabel::label", "After:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_4_15,
		"GtkTable::top_attach", 2,
		"GtkTable::bottom_attach", 3,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_4_16 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_13,
		"GtkMisc::xalign", 0.950000,
		"GtkLabel::label", "File:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_4_16,
		"GtkTable::top_attach", 1,
		"GtkTable::bottom_attach", 2,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_dlgcb_label_callback = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_13,
		"GtkMisc::xalign", 0.950000,
		"GtkLabel::label", "Callback:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_dlgcb_label_callback,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_dlgcb_newcb_cb = gtk_widget_new( gtk_entry_get_type(),
		"GtkWidget::parent", wgt_3_13,
		"GtkWidget::can_focus", TRUE,
		NULL );
	gtk_entry_set_text( GTK_ENTRY(wgt_dlgcb_newcb_cb), "" );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_dlgcb_newcb_cb,
		"GtkTable::left_attach", 1,
		"GtkTable::right_attach", 2,
		"GtkTable::y_options", 0x00000000,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_newcb_cb ), "changed",
		GTK_SIGNAL_FUNC( cb_newcb_cb_changed ), NULL );

	wgt_4_19 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_13,
		"GtkBox::spacing", 4,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_4_19,
		"GtkTable::left_attach", 1,
		"GtkTable::right_attach", 2,
		"GtkTable::top_attach", 1,
		"GtkTable::bottom_attach", 2,
		"GtkTable::x_options", 0x00000004,
		"GtkTable::y_options", 0x00000000,
		NULL );

	wgt_dlgcb_newcb_file = gtk_widget_new( gtk_entry_get_type(),
		"GtkWidget::parent", wgt_4_19,
		"GtkWidget::can_focus", TRUE,
		NULL );
	gtk_entry_set_text( GTK_ENTRY(wgt_dlgcb_newcb_file), "" );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_newcb_file ), "changed",
		GTK_SIGNAL_FUNC( cb_newcb_file_changed ), NULL );

	wgt_5_21 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_4_19,
		"GtkLabel::label", ".c",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_19 ), wgt_5_21,
		"GtkBox::expand", FALSE,
		"GtkBox::padding", 2,
		"GtkBox::position", 1,
		NULL );

	wgt_4_22 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_13,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_4_22,
		"GtkTable::left_attach", 1,
		"GtkTable::right_attach", 2,
		"GtkTable::top_attach", 2,
		"GtkTable::bottom_attach", 3,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_dlgcb_newcb_after_yes = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_4_22,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Yes",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_22 ), wgt_dlgcb_newcb_after_yes,
		"GtkBox::expand", FALSE,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_newcb_after_yes ), "toggled",
		GTK_SIGNAL_FUNC( cb_newcb_after_yes_toggled ), NULL );

	wgt_4_24 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_13,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_13 ), wgt_4_24,
		"GtkTable::left_attach", 1,
		"GtkTable::right_attach", 2,
		"GtkTable::top_attach", 3,
		"GtkTable::bottom_attach", 4,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_dlgcb_newcb_accelerator_yes = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_4_24,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Yes",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_24 ), wgt_dlgcb_newcb_accelerator_yes,
		"GtkBox::expand", FALSE,
		NULL );

	wgt_dlgcb_frame_accelerator = gtk_widget_new( gtk_frame_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkFrame::label", "Accelerator Description",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_dlgcb_frame_accelerator,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 2,
		NULL );

	wgt_3_27 = gtk_widget_new( gtk_table_get_type(),
		"GtkWidget::parent", wgt_dlgcb_frame_accelerator,
		"GtkTable::n_rows", 3,
		"GtkTable::n_columns", 2,
		"GtkTable::row_spacing", 2,
		"GtkTable::column_spacing", 4,
		NULL );

	wgt_4_28 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_27,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_27 ), wgt_4_28,
		"GtkTable::left_attach", 1,
		"GtkTable::right_attach", 2,
		"GtkTable::top_attach", 2,
		"GtkTable::bottom_attach", 3,
		NULL );

	wgt_dlgcb_accel_visible_yes = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_4_28,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Yes",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_28 ), wgt_dlgcb_accel_visible_yes,
		"GtkBox::expand", FALSE,
		"GtkBox::padding", 4,
		NULL );

	wgt_4_30 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_27,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_27 ), wgt_4_30,
		"GtkTable::left_attach", 1,
		"GtkTable::right_attach", 2,
		"GtkTable::top_attach", 1,
		"GtkTable::bottom_attach", 2,
		NULL );

	wgt_dlgcb_accel_modifier_shift = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_4_30,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Shift",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_30 ), wgt_dlgcb_accel_modifier_shift,
		"GtkBox::expand", FALSE,
		"GtkBox::fill", FALSE,
		"GtkBox::padding", 4,
		NULL );

	wgt_dlgcb_accel_modifier_ctrl = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_4_30,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Ctrl",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_30 ), wgt_dlgcb_accel_modifier_ctrl,
		"GtkBox::expand", FALSE,
		"GtkBox::fill", FALSE,
		"GtkBox::padding", 4,
		"GtkBox::position", 1,
		NULL );

	wgt_dlgcb_accel_modifier_alt = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_4_30,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Alt",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_30 ), wgt_dlgcb_accel_modifier_alt,
		"GtkBox::expand", FALSE,
		"GtkBox::fill", FALSE,
		"GtkBox::padding", 4,
		"GtkBox::position", 2,
		NULL );

	wgt_dlgcb_accel_key = gtk_widget_new( gtk_combo_get_type(),
		"GtkWidget::parent", wgt_3_27,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_27 ), wgt_dlgcb_accel_key,
		"GtkTable::left_attach", 1,
		"GtkTable::right_attach", 2,
		NULL );

	wgt_4_35 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_27,
		"GtkLabel::label", "Visible:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_27 ), wgt_4_35,
		"GtkTable::top_attach", 2,
		"GtkTable::bottom_attach", 3,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_4_36 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_27,
		"GtkMisc::xalign", 0.950000,
		"GtkLabel::label", "Modifier:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_27 ), wgt_4_36,
		"GtkTable::top_attach", 1,
		"GtkTable::bottom_attach", 2,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_4_37 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_3_27,
		"GtkMisc::xalign", 0.950000,
		"GtkLabel::label", "Key:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_27 ), wgt_4_37,
		"GtkTable::x_options", 0x00000004,
		NULL );

	wgt_2_38 = gtk_widget_new( gtk_hseparator_get_type(),
		"GtkWidget::parent", wgt_1_2,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_38,
		"GtkBox::expand", FALSE,
		"GtkBox::padding", 4,
		"GtkBox::position", 3,
		NULL );

	wgt_2_39 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_1_2,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_39,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 4,
		NULL );

	wgt_dlgcb_btn_cancel = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_39,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Cancel",
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_btn_cancel ), "clicked",
		GTK_SIGNAL_FUNC( cb_dlgcb_btn_cancel ), NULL );

	wgt_dlgcb_btn_ok = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_39,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Ok",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_39 ), wgt_dlgcb_btn_ok,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_dlgcb_btn_ok ), "clicked",
		GTK_SIGNAL_FUNC( cb_dlgcb_btn_ok ), NULL );

	if ( realize )
		gtk_widget_show_all( wgt_dialog_cb );

	return wgt_dialog_cb;

}								// create_window1
