#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gtk/gtk.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_window1( GtkWidget *parent, const int realize )
{
	GtkWidget	*wgt_1_2, *wgt_2_4, *wgt_2_9, *wgt_3_10, 
				*wgt_4_11, *wgt_4_14, *wgt_5_15, *wgt_5_16, *wgt_4_22, 
				*wgt_2_25, *wgt_2_26;

	window1 = gtk_widget_new( gtk_window_get_type(),
		"GtkWidget::width", 570,
		"GtkWidget::height", 509,
		"GtkWidget::events", 0x0000030C,
		"GtkContainer::resize_mode", GTK_RESIZE_QUEUE,
		"GtkWindow::title", "window1",
		"GtkWindow::allow_grow", TRUE,
		"GtkWindow::default_width", 400,
		"GtkWindow::default_height", 300,
		NULL );

	wgt_1_2 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", window1,
		NULL );

	wgt_menued_list_items = gtk_widget_new( gtk_ctree_get_type(),
		"GtkCList::n_columns", 3,
		"GtkCTree::n_columns", 3,
		"GtkWidget::parent", wgt_1_2,
		"GtkWidget::can_focus", TRUE,
		NULL );
	gtk_clist_column_titles_show(GTK_CLIST(wgt_menued_list_items));
	gtk_clist_set_column_title( GTK_CLIST( wgt_menued_list_items ), 0, "Label" );
	gtk_clist_set_column_title( GTK_CLIST( wgt_menued_list_items ), 1, "Type" );
	gtk_clist_set_column_title( GTK_CLIST( wgt_menued_list_items ), 2, "Accelerator" );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_list_items ), "tree_select_row",
		GTK_SIGNAL_FUNC( cb_menued_list_items_select_row ), NULL );

	wgt_2_4 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkContainer::border_width", 2,
		"GtkBox::spacing", 4,
		"GtkBox::homogeneous", TRUE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_4,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 1,
		NULL );

	wgt_menued_btn_move_up = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Move Up",
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_btn_move_up ), "clicked",
		GTK_SIGNAL_FUNC( cb_menued_btn_move_up ), NULL );

	wgt_menued_btn_move_down = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Move Down",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_menued_btn_move_down,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_btn_move_down ), "clicked",
		GTK_SIGNAL_FUNC( cb_menued_btn_move_down ), NULL );

	wgt_menued_btn_move_left = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Move Left",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_menued_btn_move_left,
		"GtkBox::position", 2,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_btn_move_left ), "clicked",
		GTK_SIGNAL_FUNC( cb_menued_btn_move_left ), NULL );

	wgt_menued_btn_move_right = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Move Right",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_menued_btn_move_right,
		"GtkBox::position", 3,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_btn_move_right ), "clicked",
		GTK_SIGNAL_FUNC( cb_menued_btn_move_right ), NULL );

	wgt_2_9 = gtk_widget_new( gtk_frame_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkContainer::border_width", 8,
		"GtkFrame::label", "Item",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_9,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 2,
		NULL );

	wgt_3_10 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", wgt_2_9,
		NULL );

	wgt_4_11 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_10,
		"GtkContainer::border_width", 2,
		NULL );

	wgt_menued_label_item = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_4_11,
		"GtkWidget::width", 42,
		"GtkLabel::label", "Label:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_11 ), wgt_menued_label_item,
		"GtkBox::expand", FALSE,
		NULL );

	wgt_menued_entry_item = gtk_widget_new( gtk_entry_get_type(),
		"GtkWidget::parent", wgt_4_11,
		"GtkWidget::can_focus", TRUE,
		NULL );
	gtk_entry_set_text( GTK_ENTRY(wgt_menued_entry_item), "" );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_11 ), wgt_menued_entry_item,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_entry_item ), "changed",
		GTK_SIGNAL_FUNC( cb_menued_entry_item_changed ), NULL );

	wgt_4_14 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_10,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_10 ), wgt_4_14,
		"GtkBox::position", 1,
		NULL );

	wgt_5_15 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_4_14,
		"GtkWidget::width", 42,
		"GtkLabel::label", "Type:",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_14 ), wgt_5_15,
		"GtkBox::expand", FALSE,
		NULL );

	wgt_5_16 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_4_14,
		"GtkBox::spacing", 4,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_14 ), wgt_5_16,
		"GtkBox::position", 1,
		NULL );

	wgt_menued_checkbtn_type_menuitem = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_5_16,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Menu Item",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_5_16 ), wgt_menued_checkbtn_type_menuitem,
		"GtkBox::expand", FALSE,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_checkbtn_type_menuitem ), "toggled",
		GTK_SIGNAL_FUNC( cb_menued_checkbtn_type_menuitem_toggled ), NULL );

	wgt_menued_checkbtn_type_toggleitem = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_5_16,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Toggle Item",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_5_16 ), wgt_menued_checkbtn_type_toggleitem,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_checkbtn_type_toggleitem ), "toggled",
		GTK_SIGNAL_FUNC( cb_menued_checkbtn_type_toggleitem_toggled ), NULL );

	wgt_menued_checkbtn_type_radioitem = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_5_16,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Radio Item",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_5_16 ), wgt_menued_checkbtn_type_radioitem,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 2,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_checkbtn_type_radioitem ), "toggled",
		GTK_SIGNAL_FUNC( cb_menued_checkbtn_type_radiobtn_toggled ), NULL );

	wgt_menued_checkbtn_type_separator = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_5_16,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Separator",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_5_16 ), wgt_menued_checkbtn_type_separator,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 3,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_checkbtn_type_separator ), "toggled",
		GTK_SIGNAL_FUNC( cb_menued_checkbtn_type_separator_toggled ), NULL );

	wgt_menued_checkbtn_type_submenu = gtk_widget_new( gtk_check_button_get_type(),
		"GtkWidget::parent", wgt_5_16,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Sub Menu",
		"GtkToggleButton::active", FALSE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_5_16 ), wgt_menued_checkbtn_type_submenu,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 4,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_checkbtn_type_submenu ), "toggled",
		GTK_SIGNAL_FUNC( cb_menued_checkbtn_type_submenu_toggled ), NULL );

	wgt_4_22 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_3_10,
		"GtkContainer::border_width", 4,
		"GtkBox::homogeneous", TRUE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_3_10 ), wgt_4_22,
		"GtkBox::position", 2,
		NULL );

	wgt_menued_btn_add_item = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_4_22,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Add",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_22 ), wgt_menued_btn_add_item,
		"GtkBox::padding", 12,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_btn_add_item ), "clicked",
		GTK_SIGNAL_FUNC( cb_menued_btn_add_item_clicked ), NULL );

	wgt_menued_btn_delete_item = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_4_22,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Delete",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_4_22 ), wgt_menued_btn_delete_item,
		"GtkBox::padding", 12,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_btn_delete_item ), "clicked",
		GTK_SIGNAL_FUNC( cb_menuued_btn_delete_item_clicked ), NULL );

	wgt_2_25 = gtk_widget_new( gtk_hseparator_get_type(),
		"GtkWidget::parent", wgt_1_2,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_25,
		"GtkBox::expand", FALSE,
		"GtkBox::padding", 4,
		"GtkBox::position", 3,
		NULL );

	wgt_2_26 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkContainer::border_width", 4,
		"GtkBox::spacing", 8,
		"GtkBox::homogeneous", TRUE,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_26,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 4,
		NULL );

	wgt_menued_ok = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_26,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "OK",
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_ok ), "clicked",
		GTK_SIGNAL_FUNC( cb_menued_ok_clicked ), NULL );

	wgt_menued_cancel = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_2_26,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Cancel",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_26 ), wgt_menued_cancel,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_menued_cancel ), "clicked",
		GTK_SIGNAL_FUNC( cb_menued_cancel_clicked ), NULL );

	if ( realize )
		gtk_widget_show_all( window1 );

	return window1;

}								// create_window1
