#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gtk/gtk.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_window1( GtkWidget *parent, const int realize )
{
	GtkWidget	*wgt_1_2, *wgt_2_3, *wgt_2_4, *wgt_2_9;

	window1 = gtk_widget_new( gtk_window_get_type(),
		"GtkWidget::width", 411,
		"GtkWidget::height", 135,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_POINTER_MOTION_HINT_MASK |
			GDK_BUTTON_PRESS_MASK | GDK_BUTTON_RELEASE_MASK |
			GDK_ALL_EVENTS_MASK,
		"GtkContainer::resize_mode", GTK_RESIZE_QUEUE,
		"GtkWindow::title", "window1",
		"GtkWindow::allow_grow", TRUE,
		"GtkWindow::default_width", 400,
		"GtkWindow::default_height", 300,
		NULL );

	wgt_1_2 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", window1,
		NULL );

	wgt_2_3 = gtk_widget_new( gtk_label_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkLabel::label", "Which language ?",
		NULL );

	wgt_2_4 = gtk_widget_new( gtk_hbox_get_type(),
		"GtkWidget::parent", wgt_1_2,
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_4,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 1,
		NULL );

	wgt_dlglang_C = gtk_widget_new( gtk_radio_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "C",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_dlglang_C,
		"GtkBox::fill", FALSE,
		NULL );

	wgt_dlglang_CPP = gtk_widget_new( gtk_radio_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "C++",
		NULL );
	gtk_radio_button_set_group( GTK_RADIO_BUTTON( wgt_dlglang_CPP ), gtk_radio_button_group( GTK_RADIO_BUTTON( wgt_dlglang_C ) ) );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_dlglang_CPP,
		"GtkBox::fill", FALSE,
		"GtkBox::position", 1,
		NULL );

	wgt_dlglang_Python = gtk_widget_new( gtk_radio_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Python",
		NULL );
	gtk_radio_button_set_group( GTK_RADIO_BUTTON( wgt_dlglang_Python ), gtk_radio_button_group( GTK_RADIO_BUTTON( wgt_dlglang_C ) ) );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_dlglang_Python,
		"GtkBox::fill", FALSE,
		"GtkBox::position", 2,
		NULL );

	wgt_dlglang_Perl = gtk_widget_new( gtk_radio_button_get_type(),
		"GtkWidget::parent", wgt_2_4,
		"GtkWidget::can_focus", TRUE,
		"GtkButton::label", "Perl",
		NULL );
	gtk_radio_button_set_group( GTK_RADIO_BUTTON( wgt_dlglang_Perl ), gtk_radio_button_group( GTK_RADIO_BUTTON( wgt_dlglang_C ) ) );
	gtk_container_child_set( GTK_CONTAINER( wgt_2_4 ), wgt_dlglang_Perl,
		"GtkBox::fill", FALSE,
		"GtkBox::position", 3,
		NULL );

	wgt_2_9 = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Ok",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_2_9,
		"GtkBox::expand", FALSE,
		"GtkBox::position", 2,
		NULL );

	if ( realize )
		gtk_widget_show_all( window1 );

	return window1;

}								// create_window1
