#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gtk/gtk.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_window1( GtkWidget *parent, const int realize )
{
	GtkWidget	*wgt_1_2;

	wgt_showmenu = gtk_widget_new( gtk_window_get_type(),
		"GtkWidget::width", 198,
		"GtkWidget::height", 162,
		"GtkWidget::events", 0x0000030C,
		"GtkContainer::resize_mode", GTK_RESIZE_QUEUE,
		"GtkWindow::title", "window1",
		"GtkWindow::allow_grow", TRUE,
		"GtkWindow::default_width", 400,
		"GtkWindow::default_height", 300,
		NULL );

	wgt_1_2 = gtk_widget_new( gtk_vbox_get_type(),
		"GtkWidget::parent", wgt_showmenu,
		NULL );

	wgt_showmenu_btn_test = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Test menu",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_showmenu_btn_test,
		"GtkBox::expand", FALSE,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_showmenu_btn_test ), "clicked",
		GTK_SIGNAL_FUNC( cb_showmenu_btn_test_clicked ), NULL );

	wgt_showmenu_btn_edit = gtk_widget_new( gtk_button_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkWidget::can_focus", TRUE,
		"GtkWidget::receives_default", TRUE,
		"GtkButton::label", "Edit Menu",
		NULL );
	gtk_container_child_set( GTK_CONTAINER( wgt_1_2 ), wgt_showmenu_btn_edit,
		"GtkBox::position", 1,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_showmenu_btn_edit ), "clicked",
		GTK_SIGNAL_FUNC( cb_showmenu_btn_edit_clicked ), NULL );

	if ( realize )
		gtk_widget_show_all( wgt_showmenu );

	return wgt_showmenu;

}								// create_window1
