#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gnome.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_file_menu( void )
{
	GtkWidget	*wgt_2_3, *wgt_2_5, *wgt_2_7, *wgt_1_8, 
				*wgt_2_10;
	GtkAccelGroup	*_wgt_accel_group;

	file_menu = gtk_widget_new( gtk_menu_get_type(),
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	_wgt_accel_group = gtk_accel_group_new();
	gtk_window_add_accel_group( GTK_WINDOW( __get_parent__( file_menu ) ), _wgt_accel_group );

	New_game = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", file_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( New_game ), "activate",
		GTK_SIGNAL_FUNC( on_New_game_activate ), NULL );

	wgt_2_3 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", New_game,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "New Game",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_3 ), New_game );
	gtk_widget_add_accelerator( New_game, "activate", _wgt_accel_group,
		0x004E, GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE );

	Save_game = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", file_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( Save_game ), "activate",
		GTK_SIGNAL_FUNC( on_Save_game_activate ), NULL );

	wgt_2_5 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", Save_game,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Save Game",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_5 ), Save_game );
	gtk_widget_add_accelerator( Save_game, "activate", _wgt_accel_group,
		0x0053, GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE );

	Load_game = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", file_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( Load_game ), "activate",
		GTK_SIGNAL_FUNC( on_Load_game_activate ), NULL );

	wgt_2_7 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", Load_game,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Load Game",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_7 ), Load_game );
	gtk_widget_add_accelerator( Load_game, "activate", _wgt_accel_group,
		0x004C, GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE );

	wgt_1_8 = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", file_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );

	Quit = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", file_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( Quit ), "activate",
		GTK_SIGNAL_FUNC( on_Quit_activate ), NULL );

	wgt_2_10 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", Quit,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Quit",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_10 ), Quit );
	gtk_widget_add_accelerator( Quit, "activate", _wgt_accel_group,
		0x0051, GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE );

	gtk_widget_show_all( file_menu );

	gtk_menu_popup( GTK_MENU( file_menu ), NULL, NULL, NULL, NULL,
		1, NULL );

	return file_menu;

}								// create_file_menu
