#ifdef __STARTUP__
#	define COMMON
#	define INIT(v) = v;
#else
#	define COMMON extern
#	define INIT(v) ;
#endif

#define PUBLIC

GtkWidget *
_compute_hierarchy_composite_childs( GtkWidget *wgt_main, int depth );

void
_forall_flag_nondelete_widgets( GtkWidget *widget, GtkWidget *dlg );

GtkWidget *
__get_parent__( GtkWidget *wgt );

COMMON	GtkArg		args[ 100 ];
COMMON	int			nb_args;

#define INIT_ARGS\
	nb_args=0

#define SETARG_INT( N, V )\
	args[nb_args].type=GTK_TYPE_INT;\
	args[nb_args].name=N;\
	GTK_VALUE_INT(args[nb_args++])=V

#define SETARG_UINT( N, V )\
	args[nb_args].type=GTK_TYPE_UINT;\
	args[nb_args].name=N;\
	GTK_VALUE_UINT(args[nb_args++])=V

#define SETARG_LONG( N, V )\
	args[nb_args].type=GTK_TYPE_LONG;\
	args[nb_args].name=N;\
	GTK_VALUE_LONG(args[nb_args++])=V

#define SETARG_ULONG( N, V )\
	args[nb_args].type=GTK_TYPE_ULONG;\
	args[nb_args].name=N;\
	GTK_VALUE_ULONG(args[nb_args++])=V

#define SETARG_ENUM( T, N, V )\
	args[nb_args].type=T;\
	args[nb_args].name=N;\
	GTK_VALUE_ENUM(args[nb_args++])=V

#define SETARG_FLAGS( T, N, V )\
	args[nb_args].type=T;\
	args[nb_args].name=N;\
	GTK_VALUE_FLAGS(args[nb_args++])=V

#define SETARG_BOOL( N, V )\
	args[nb_args].type=GTK_TYPE_BOOL;\
	args[nb_args].name=N;\
	GTK_VALUE_BOOL(args[nb_args++])=V

#define SETARG_STRING( N, V )\
	args[nb_args].type=GTK_TYPE_STRING;\
	args[nb_args].name=N;\
	GTK_VALUE_STRING(args[nb_args++])=V

#define SETARG_OBJECT( T, N, V )\
	args[nb_args].type=T;\
	args[nb_args].name=N;\
	GTK_VALUE_OBJECT(args[nb_args++])=GTK_OBJECT(V)

