#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <ctype.h>

#include <gnome.h>

#include "glg/main.h"
#include "glg/modules.h"


long
filelength(FILE * fp)
{
	struct stat sb;
	fstat(fileno(fp), &sb);
	return (sb.st_size);
}	// filelength


/* This shows a simple dialog box with a label and an 'OK' button.
   Example usage:
    glade_util_show_message_box ("Error saving file");
 */
static void
dlg_destroy_cb(GtkObject * obj, GtkWidget ** dlg)
{
	*dlg = NULL;
}				// dlg_destroy_cb

void
warning_msg (gchar * message)
{
	GtkWidget *dlg;
	dlg = gnome_warning_dialog (message );
	gtk_signal_connect(GTK_OBJECT(dlg), "destroy",
		GTK_SIGNAL_FUNC(dlg_destroy_cb), &dlg);
	gtk_widget_show (dlg);
	gtk_widget_set_sensitive( main_wnd, FALSE );
  	while ( dlg )
		gtk_main_iteration();
	gtk_widget_set_sensitive( main_wnd, TRUE );
//	gtk_window_set_focus( GTK_WINDOW(main_wnd),  );
}	// warning_msg
