#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <sys/time.h>
#include <assert.h>

#include <gtk/gtk.h>

#define COMMON extern
#include "glg/main.h"

#include "glg/modules.h"

#define wgt_style_fuel_ok 			wgt_style_5

PUBLIC void 
update_fuel( void )
{
	double	level;

	/*--- Compute new level of fuel ---*/
	level = fuel.nb_microsec - (_now - fuel.start);
	if ( level < 0 )
		level = 0;
	fuel.level = (level * 1000 / fuel.nb_microsec);
	set_gauge_val( wgt_fuel, fuel.level );
	
#if 0
	/*--- Out of fuel ? ---*/
	if ( !fuel.level )
	{
		refresh_frame( FALSE );
		set_label( wgt_info_nbships, 
			"OUT OF FUEL! All the galaxy curse your name now..." );
	}
#endif

}								// update_fuel

/* Callback "configure_event" for GtkProgressBar widget wgt_fuel */
gboolean
cb_fuel_configure(GtkWidget *widget, GdkEventConfigure *event, gpointer user_data)
{
	return FALSE;
	
}								// cb_fuel_configure
