#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"


PUBLIC GtkArg * 
getdlg_accel_label( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	assert( 0 );
	return NULL;
}								// getdlg_accel_label


PUBLIC int 
putdlg_accel_label( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	assert( 0 );
	return -1;
}								// putdlg_accel_label


PUBLIC int
writecode_accel_label( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	assert(0);
	return 0;
}								// writecode_accel_label


PUBLIC int
writecode_after_accel_label( defclass_t *defclass, 
	GtkWidget *wgt, GtkWidget *wgt_parent,
	GtkArg **parg, char **str )
{
	int				nb = 0;
	char			*signal_name;
	guint			keyval;
	GdkModifierType	accelerator_mods;
	GtkAccelFlags	accel_flags;
	char			mask[200];
	
	str[nb++] = malloc(400);
	sprintf( str[nb-1], "gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( %s ), %s );",
		get_name_wgt( wgt ), get_name_wgt( wgt_parent ) );
	if ( is_accelerator( wgt_parent, &signal_name, &keyval, &accelerator_mods, &accel_flags ) )
	{
		str[nb++] = malloc(400);
		sprintf( str[nb-1], "gtk_widget_add_accelerator( %s, \"%s\", _wgt_accel_group,",
			get_name_wgt( wgt_parent ), signal_name );
		str[nb++] = malloc(400);
		strcpy( mask, "" );
		if ( accelerator_mods & GDK_CONTROL_MASK )
			sprintf( mask, "%s%s%s", mask, (mask[0]) ? "|" : "", "GDK_CONTROL_MASK" );
		if ( accelerator_mods & GDK_SHIFT_MASK )
			sprintf( mask, "%s%s%s", mask, (mask[0]) ? "|" : "", "GDK_SHIFT_MASK" );
		if ( accelerator_mods & GDK_MOD1_MASK )
			sprintf( mask, "%s%s%s", mask, (mask[0]) ? "|" : "", "GDK_MOD1_MASK" );
		if ( !strcmp( mask, "" ) )
			strcpy( mask, "0" );
		sprintf( str[nb-1], "\t0x%04X, %s, %s );",
			keyval, mask,
			(accel_flags & GTK_ACCEL_VISIBLE) ? "GTK_ACCEL_VISIBLE" : "0" );
		free( signal_name );
	}
	return nb;
}								// writecode_after_accel_label


PUBLIC void
afteraddwgt_accel_label( GtkWidget *wgt )
{
}								// afteraddwgt_accel_label


PUBLIC GtkWidget *
addwgt_accel_label( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	GtkWidget	*wgt_new;
	
	wgt_new = create_new_wgt( wgtdef_newwgt, module, wgt_parent, wgt_container, NULL );

	return wgt_new;

}								// addwgt_accel_label

