
#include "../src/graphics/GtkButton.xpm"

_EXTERN( button )

static defclass_t defclass_GtkButton[] =
{
	{ "GtkButton::label",			GTK_TYPE_STRING,	"Label", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkButton::relief",			GTK_TYPE_ENUM,		"Relief", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_relief_style_values, OBJRES(GTK_TYPE_RELIEF_STYLE) }
};

static defclasssignal_t defclasssignal_GtkButton[] =
{
	{
		"pressed", "Pressed",
		{
			"void", 
			{"GtkButton *button", "gpointer user_data"},
			NULL 
		}
	},
	{
		"released", "Released",
		{
			"void", 
			{"GtkButton *button", "gpointer user_data"},
			NULL 
		}
	},
	{
		"clicked", "Clicked",
		{
			"void", 
			{"GtkButton *button", "gpointer user_data"},
			NULL 
		}
	},
	{
		"enter", "Enter",
		{
			"void", 
			{"GtkButton *button", "gpointer user_data"},
			NULL 
		}
	},
	{
		"leave", "Leave",
		{
			"void", 
			{"GtkButton *button", "gpointer user_data"},
			NULL 
		}
	}
};

static defclass_t defclasschild_GtkButton[] =
{
};

static char *defblockres_GtkButton[] =
{
};

static char *defrightclickmenu_GtkButton[] =
{
	"GtkButton::label",
	"clicked"
};

static init_GtkArg deftvalues_GtkButton[] =
{
	{ GTK_TYPE_STRING, "GtkButton::label", INIT_STRING_VALUE( "Button" ) }
};

static gtk_wgtdef_t wgtdef_GtkButton =
{
	"GtkButton",
	_X( gtk_button_get_type, button, GtkButton ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkBin), __(GtkButton), {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_button_xpm,						// xpm bitmap
	1,									// Max number of childs
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
