#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"

extern void
clist_create_columns( GtkWidget *wgt_new, int nb_columns );


PUBLIC GtkArg * 
getdlg_ctree( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	return NULL;
}								// getdlg_ctree


PUBLIC int 
putdlg_ctree( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	assert( 0 );
	return -1;
}								// putdlg_ctree


PUBLIC int
writecode_ctree( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	assert(0);
	return 0;
}								// writecode_ctree


PUBLIC int
writecode_after_ctree( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	return 0;
}								// writecode_after_ctree


PUBLIC void
afteraddwgt_ctree( GtkWidget *wgt )
{
}								// afteraddwgt_ctree


PUBLIC GtkWidget *
addwgt_ctree( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	int				nb, n;
	GtkWidget		*wgt_new;
	
	nb = 3;
	if ( !infos_addwgt_dialog( "New GtkCTree", &nb, 1, 100, "Number of columns:" ) )
		return NULL;

	for ( n = nb_args; n > 0; n-- )
		memmove( &args[n], &args[n-1], sizeof(args[0]) );
	n = nb_args; nb_args = 0;
	SETARG_UINT( "n_columns", nb );
	nb_args = n+1;
	wgt_new = create_new_wgt( wgtdef_newwgt, module, wgt_parent, wgt_container, NULL );

	gtk_clist_column_titles_show( GTK_CLIST( wgt_new ) );
	clist_create_columns( wgt_new, nb );

	return wgt_new;

}								// infos_addwgt_ctree

