
_EXTERN( container )

static defclass_t defclass_GtkContainer[] =
{
	{ "GtkContainer::border_width",			GTK_TYPE_ULONG,		"Border width", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkContainer::resize_mode",			GTK_TYPE_ENUM,		"Resize mode", GTK_ARG_READWRITE, SAVED_OUTSIDE, TRUE, TRUE, _gtk_resize_mode_values, OBJRES(GTK_TYPE_RESIZE_MODE) },
	{ "GtkContainer::reallocate_redraws",	GTK_TYPE_BOOL,		"Reallocate redraws", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE }
 };

static defclasssignal_t defclasssignal_GtkContainer[] =
{
	{
		"add", "Add",
		{
			"void", 
			{"GtkContainer *container", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		} 
	},
	{
		"remove", "Remove",
		{
			"void", 
			{"GtkContainer *container", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		} 
	},
	{
		"check_resize", "Check Resize",
		{
			"void", 
			{"GtkContainer *container", "gpointer user_data"},
			NULL 
		} 
	},
	{
		"focus", "Focus",
		{
			"GtkDirectionType", 
			{"GtkContainer *container", "GtkDirectionType direction", "gpointer user_data"},
			NULL 
		} 
	},
	{
		"set_focus_child", "Set Focus Child",
		{
			"void", 
			{"GtkContainer *container", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		} 
	},
};

static defclass_t defclasschild_GtkContainer[] =
{
};

static char *defblockres_GtkContainer[] =
{
};

static char *defrightclickmenu_GtkContainer[] =
{
};

static init_GtkArg deftvalues_GtkContainer[] =
{
};

static gtk_wgtdef_t wgtdef_GtkContainer =
{
	"GtkContainer",
	_X( gtk_container_get_type, container, GtkContainer ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), {NULL} },
	-1,									// Don't display this widget into the palette
	NULL,								// pixmap
	-1,									// Max number of childs
	-1,									// Can't specify position of children
	-1,									// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
