#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"


PUBLIC GtkArg * 
getdlg_editable( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkEditable::editable" ) )
	{
		return NULL;
	}
	else assert(0);
	return NULL;
}								// getdlg_editable


PUBLIC int 
putdlg_editable( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkEditable::editable" ) )
	{
		return 1;
	}
	else assert(0);
	return -1;
}								// putdlg_editable


PUBLIC int
writecode_editable( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	if ( !strcmp( defclass->resname, "~GtkEditable::editable" ) )
	{
		GtkArg	arg, *xarg;
		if ( (*defclass->wgtdef_depth->pfct_getdlg)( defclass, wgt, &arg ) == NULL )
			xarg = get_outsideres_wgt( wgt, defclass->resname );
		else
			xarg = &arg;
		assert( xarg != NULL );
		str[0] = malloc( 200 );
		assert(str[0] != NULL);
		sprintf( str[0], "gtk_editable_set_editable( GTK_EDITABLE( %s ), %s );",
			get_name_wgt( wgt ),
			GTK_VALUE_BOOL( xarg[ 0 ] ) ? "TRUE" : "FALSE" );
		*parg = NULL;
		return 1;
	}
	else assert(0);
	return 0;
}								// writecode_editable


PUBLIC int
writecode_after_editable( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	return 0;
}								// writecode_after_editable


PUBLIC void
afteraddwgt_editable( GtkWidget *wgt )
{
}								// afteraddwgt_editable


PUBLIC GtkWidget *
addwgt_editable( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	assert(0);
	return NULL;
}								// infos_addwgt_editable
