#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"


PUBLIC GtkArg * 
getdlg_table( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	assert(0);
	return NULL;
}								// getdlg_table


PUBLIC int 
putdlg_table( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	assert(0);
	return -1;
}								// putdlg_table


PUBLIC int
writecode_table( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	assert(0);
	return 0;
}								// writecode_table


PUBLIC int
writecode_after_table( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	return 0;
}								// writecode_after_table


PUBLIC void
afteraddwgt_table( GtkWidget *wgt )
{
}								// afteraddwgt_table


PUBLIC GtkWidget *
addwgt_table( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	int			nb_rows, nb_columns;
	GtkWidget	*wgt_new;
	int			row, col, index;
	GtkWidget	*wgt_placeholder;
	
	nb_rows   = 2;
	nb_columns = 3;
	if ( !infos_addwgt_dialog2( "New table", 
		&nb_rows, 1, 100, "Number of rows:",
		&nb_columns, 1, 100, "Number of columns:" ) )
		return NULL;

	SETARG_UINT( "n_rows", nb_rows );
	SETARG_UINT( "n_columns", nb_columns );
	wgt_new = create_new_wgt( wgtdef_newwgt, module, wgt_parent, wgt_container, NULL );

	for ( index = 0, row = 0; row < nb_rows; row++ )
	{
		for ( col = 0; col < nb_columns; col++ )
		{
			wgt_placeholder = create_placeholder( gtk_drawing_area_get_type(), wgt_new, 
				index++, module );
			gtk_container_child_set( GTK_CONTAINER( wgt_new ), wgt_placeholder,
				"left_attach", col,
				"right_attach", col + 1,
				"top_attach", row,
				"bottom_attach", row + 1,
				NULL );
		}
	}

	return wgt_new;

}								// addwgt_table
