
#include "../src/graphics/GtkTable.xpm"

_EXTERN( table )

static defclass_t defclass_GtkTable[] =
{
	{ "GtkTable::n_rows",			GTK_TYPE_UINT,		"Number of rows", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::n_columns",	 	GTK_TYPE_UINT,		"Number of columns", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::row_spacing",   	GTK_TYPE_UINT,		"Row spacing", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::column_spacing",	GTK_TYPE_UINT,		"Column spacing", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::homogeneous",		GTK_TYPE_BOOL,		"Homogeneous", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE }
};

static defclasssignal_t defclasssignal_GtkTable[] =
{
};

static defclass_t defclasschild_GtkTable[] =
{
	{ "GtkTable::left_attach",		GTK_TYPE_UINT,		"Left attach", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::right_attach",		GTK_TYPE_UINT,		"Right attach", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::top_attach",		GTK_TYPE_UINT,		"Top attach", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::bottom_attach",	GTK_TYPE_UINT,		"Bottom attach", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::x_padding",		GTK_TYPE_UINT,		"X padding", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkTable::y_padding",		GTK_TYPE_UINT,		"X padding", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
 	{ "GtkTable::x_options",		GTK_TYPE_FLAGS,		"X options", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_attach_options_values, OBJRES(GTK_TYPE_ATTACH_OPTIONS) },
 	{ "GtkTable::y_options",		GTK_TYPE_FLAGS,		"Y options", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_attach_options_values, OBJRES(GTK_TYPE_ATTACH_OPTIONS) }
};

static char *defblockres_GtkTable[] =
{
};

static char *defrightclickmenu_GtkTable[] =
{
};

static init_GtkArg deftvalues_GtkTable[] =
{
};

static gtk_wgtdef_t wgtdef_GtkTable =
{
	"GtkTable",
	_X( gtk_table_get_type, table, GtkTable ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkTable), {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_table_xpm,						// xpm bitmap
	-1,									// Max number of children
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};

