
#include "../src/graphics/GtkViewport.xpm"

_EXTERN( viewport )

static defclass_t defclass_GtkViewport[] =
{
	{ "GtkViewport::hadjustment",	GTK_TYPE_POINTER,	"Hor. adjustment", GTK_ARG_READWRITE | GTK_ARG_CONSTRUCT, SAVED_INSIDE, TRUE, TRUE, NULL, OBJRES(GTK_TYPE_ADJUSTMENT) },
	{ "GtkViewport::vadjustment",	GTK_TYPE_POINTER,	"Vert. adjustment", GTK_ARG_READWRITE | GTK_ARG_CONSTRUCT, SAVED_INSIDE, TRUE, TRUE, NULL, OBJRES(GTK_TYPE_ADJUSTMENT) },
	{ "GtkViewport::shadow_type",	GTK_TYPE_ENUM,		"Shadow type", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_shadow_type_values, OBJRES(GTK_TYPE_SHADOW_TYPE) }
};

static defclasssignal_t defclasssignal_GtkViewport[] =
{
};

static defclass_t defclasschild_GtkViewport[] =
{
};

static char *defblockres_GtkViewport[] =
{
};

static char *defrightclickmenu_GtkViewport[] =
{
};

static init_GtkArg deftvalues_GtkViewport[] =
{
	{ GTK_TYPE_INT, "GtkWidget::width", INIT_INT_VALUE( 100 ) },
	{ GTK_TYPE_INT, "GtkWidget::height", INIT_INT_VALUE( 80 ) }
};

static gtk_wgtdef_t wgtdef_GtkViewport =
{
	"GtkViewport",
	_X( gtk_viewport_get_type, viewport, GtkViewport ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkBin), __(GtkViewport), {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_viewport_xpm,	   				// xpm bitmap
	1,									// Max number of childs
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
