
#include "../src/graphics/GtkWindow.xpm"

_EXTERN( window )

static defclass_t defclass_GtkWindow[] =
{
	{ "GtkWindow::type",				GTK_TYPE_ENUM,		"Window type", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_window_type_values, OBJRES(GTK_TYPE_WINDOW_TYPE) },
	{ "GtkWindow::title",				GTK_TYPE_STRING,	"Title", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, NULL, NULL },
	{ "GtkWindow::auto_shrink",			GTK_TYPE_BOOL,		"Auto shrink", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, NULL, NULL },
	{ "GtkWindow::allow_shrink",		GTK_TYPE_BOOL,		"Allow shrink", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, NULL, NULL },
	{ "GtkWindow::allow_grow",			GTK_TYPE_BOOL,		"Allow grow", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, NULL, NULL },
	{ "GtkWindow::modal",				GTK_TYPE_BOOL,		"Modal", GTK_ARG_READWRITE, SAVED_OUTSIDE, TRUE, TRUE, NULL, NULL },
	{ "GtkWindow::window_position",		GTK_TYPE_ENUM,		"Window position", GTK_ARG_READWRITE, SAVED_OUTSIDE, TRUE, TRUE, _gtk_window_position_values, OBJRES(GTK_TYPE_WINDOW_POSITION) },
	{ "GtkWindow::default_width",		GTK_TYPE_INT,		"Default width", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, NULL, NULL },
	{ "GtkWindow::default_height",		GTK_TYPE_INT,		"Default height", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, NULL, NULL }
};

static defclasssignal_t defclasssignal_GtkWindow[] =
{
	{
		"set_focus", "Set Focus",
		{
			"void", 
			{"GtkWindow *window", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		}
	},
};

static defclass_t defclasschild_GtkWindow[] =
{
};

static char *defblockres_GtkWindow[] =
{
};

static char *defrightclickmenu_GtkWindow[] =
{
};

static init_GtkArg deftvalues_GtkWindow[] =
{
};

static gtk_wgtdef_t wgtdef_GtkWindow =
{
	"GtkWindow",
	_X( gtk_window_get_type, window, GtkWindow ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkBin), __(GtkWindow), {NULL} },
	-1,									// Don't display this widget into the palette
	gtk_window_xpm,						// xpm bitmap
	1,									// Max number of childs
	-1,									// Can't specify position of children
	-1,									// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};

