#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <inttypes.h>
#include <assert.h>

#include "glg.h"


static	guint		context_id;
static	guint		msg_id = 0;


PUBLIC void
clear_warning( void )
{
	static int	first = TRUE;

	if ( wgt_statusbar == NULL )
		return;

	if ( first )
	{
		context_id = gtk_statusbar_get_context_id( GTK_STATUSBAR( wgt_statusbar ), "abc" );
		first = FALSE;
	}

	if ( msg_id != 0 )
	{
		gtk_statusbar_remove( GTK_STATUSBAR( wgt_statusbar ), context_id, msg_id );
		msg_id = 0;
	}

}								// clear_warning


PUBLIC void
warning( char *fmt, ... )
{
	va_list		ap;
	char		msg[ 384 ];

	/*--- Develop message to display ---*/ 
	va_start( ap, fmt );
	vsprintf( msg, fmt, ap );
	va_end( ap );

	if ( msg_id != 0 )
		gtk_statusbar_remove( GTK_STATUSBAR( wgt_statusbar ), context_id, msg_id );

	msg_id = gtk_statusbar_push( GTK_STATUSBAR( wgt_statusbar ), context_id, msg );

}								// warning

