#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_menu_file( void )
{
	GtkWidget	*wgt_1_2, *wgt_2_3;
	GtkAccelGroup	*_wgt_accel_group;

	wgt_menufile = gtk_widget_new( gtk_menu_get_type(),
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	_wgt_accel_group = gtk_accel_group_new();
	gtk_window_add_accel_group( GTK_WINDOW( __get_parent__( wgt_menufile ) ), _wgt_accel_group );

	wgt_1_2 = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", wgt_menufile,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_1_2 ), "activate",
		GTK_SIGNAL_FUNC( cb_filemenu_btn_exit ), NULL );

	wgt_2_3 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Exit",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_3 ), wgt_1_2 );
	gtk_widget_add_accelerator( wgt_1_2, "activate", _wgt_accel_group,
		0x0078, GDK_MOD1_MASK, GTK_ACCEL_VISIBLE );

	gtk_widget_show_all( wgt_menufile );

	gtk_menu_popup( GTK_MENU( wgt_menufile ), NULL, NULL, NULL, NULL,
		1, NULL );

	return wgt_menufile;

}								// create_menu_file
