#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gnome.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_help_menu( void )
{
	GtkWidget	*wgt_1_2, *wgt_2_3, *wgt_1_4, *wgt_1_5, *wgt_2_6;
	GtkAccelGroup	*_wgt_accel_group;

	help_menu = gtk_widget_new( gtk_menu_get_type(),
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	_wgt_accel_group = gtk_accel_group_new();
	gtk_window_add_accel_group( GTK_WINDOW( __get_parent__( help_menu ) ), _wgt_accel_group );

	wgt_1_2 = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", help_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_1_2 ), "activate",
		GTK_SIGNAL_FUNC( on_Rules_of_Reversi_activate ), NULL );

	wgt_2_3 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", wgt_1_2,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Rules of Reversi",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_3 ), wgt_1_2 );
	gtk_widget_add_accelerator( wgt_1_2, "activate", _wgt_accel_group,
		0xFFBE, 0, GTK_ACCEL_VISIBLE );

	wgt_1_4 = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", help_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );

	wgt_1_5 = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", help_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( wgt_1_5 ), "activate",
		GTK_SIGNAL_FUNC( on_About_atilo_activate ), NULL );

	wgt_2_6 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", wgt_1_5,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "About Atilo",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_6 ), wgt_1_5 );

	gtk_widget_show_all( help_menu );

	gtk_menu_popup( GTK_MENU( help_menu ), NULL, NULL, NULL, NULL,
		1, NULL );

	return help_menu;

}								// create_help_menu
