#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <inttypes.h>
#include <unistd.h>

#include <gnome.h>

#include "main.h"
#include "modules.h"

GtkWidget *
create_options_menu( void )
{
	GtkWidget	*wgt_2_3, *wgt_2_5, *wgt_1_6, *wgt_2_8;
	GtkAccelGroup	*_wgt_accel_group;

	options_menu = gtk_widget_new( gtk_menu_get_type(),
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	_wgt_accel_group = gtk_accel_group_new();
	gtk_window_add_accel_group( GTK_WINDOW( __get_parent__( options_menu ) ), _wgt_accel_group );

	Change_side = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", options_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( Change_side ), "activate",
		GTK_SIGNAL_FUNC( on_Change_side_activate ), NULL );

	wgt_2_3 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", Change_side,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Change Side",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_3 ), Change_side );
	gtk_widget_add_accelerator( Change_side, "activate", _wgt_accel_group,
		0x0047, GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE );

	Suggest_move = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", options_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( Suggest_move ), "activate",
		GTK_SIGNAL_FUNC( on_SuggestMove_activate ), NULL );

	wgt_2_5 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", Suggest_move,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Suggest Move",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_5 ), Suggest_move );
	gtk_widget_add_accelerator( Suggest_move, "activate", _wgt_accel_group,
		0xFFBF, 0, GTK_ACCEL_VISIBLE );

	wgt_1_6 = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", options_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );

	Settings = gtk_widget_new( gtk_menu_item_get_type(),
		"GtkWidget::parent", options_menu,
		"GtkWidget::events", GDK_POINTER_MOTION_MASK | GDK_BUTTON_PRESS_MASK,
		NULL );
	gtk_signal_connect( GTK_OBJECT( Settings ), "activate",
		GTK_SIGNAL_FUNC( on_Settings_activate ), NULL );

	wgt_2_8 = gtk_widget_new( gtk_accel_label_get_type(),
		"GtkWidget::parent", Settings,
		"GtkMisc::xalign", 0.000000,
		"GtkLabel::label", "Settings",
		NULL );
	gtk_accel_label_set_accel_widget( GTK_ACCEL_LABEL( wgt_2_8 ), Settings );
	gtk_widget_add_accelerator( Settings, "activate", _wgt_accel_group,
		0x0054, GDK_CONTROL_MASK, GTK_ACCEL_VISIBLE );

	gtk_widget_show_all( options_menu );

	gtk_menu_popup( GTK_MENU( options_menu ), NULL, NULL, NULL, NULL,
		1, NULL );

	return options_menu;

}								// create_options_menu
