#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdarg.h>
#include <time.h>
#include <sys/time.h>
#include <assert.h>

#include <gtk/gtk.h>

#define COMMON extern
#include "glg/main.h"

#include "glg/modules.h"


/* Callback "expose_event" for GtkDrawingArea widget wgt_start */
gboolean
cb_start_expose(GtkWidget *widget, GdkEventExpose *event, gpointer user_data)
{

	draw_starting_cannon();

	return FALSE;
	
}								// cb_start_expose


#define BACKGROUND_START_GC	wgt_spacearea->style->bg_gc[ 0 ]

static void
create_frame_start( void )
{

	if ( pixmap_start_frame != NULL )
		gdk_pixmap_unref( pixmap_start_frame );

	pixmap_start_frame = gdk_pixmap_new( wgt_start->window, 
		frame_start_width, frame_start_height, -1 );
	gdk_pixmap_ref( pixmap_start_frame );

	/*--- Erase everything into the frame buffer ---*/
	gdk_draw_rectangle( pixmap_start_frame, 
		BACKGROUND_GC,
		TRUE,
		0, 0, frame_start_width, frame_start_height );

}								// create_frame_start


/* Callback "configure_event" for GtkDrawingArea widget wgt_spacearea */
gboolean
cb_start_configure(GtkWidget *widget, GdkEventConfigure *event, gpointer user_data)
{

	frame_start_width  = widget->allocation.width;
	frame_start_height = widget->allocation.height;
	create_frame_start();

	return FALSE;
	
}								// cb_start_configure
