
#include "../src/graphics/GtkCalendar.xpm"

_EXTERN( calendar )

static defclass_t defclass_GtkCalendar[] =
{
	{ "~GtkCalendar::show_heading",			GTK_TYPE_BOOL,		"Show heading", GTK_ARG_READWRITE, SAVED_FUNCTION, TRUE, TRUE },
	{ "~GtkCalendar::show_day_names",		GTK_TYPE_BOOL,		"Show day dames", GTK_ARG_READWRITE, SAVED_FUNCTION, TRUE, TRUE },
	{ "~GtkCalendar::no_month_change",		GTK_TYPE_BOOL,		"No month change", GTK_ARG_READWRITE, SAVED_FUNCTION, TRUE, TRUE },
	{ "~GtkCalendar::show_week_numbers",	GTK_TYPE_BOOL,		"Show week numbers", GTK_ARG_READWRITE, SAVED_FUNCTION, TRUE, TRUE },
	{ "~GtkCalendar::week_start_monday",	GTK_TYPE_BOOL,		"Week start monday", GTK_ARG_READWRITE, SAVED_FUNCTION, TRUE, TRUE },
};

static defclasssignal_t defclasssignal_GtkCalendar[] =
{
	{
		"month_changed", "Month changed",
		{
			"void", 
			{"GtkBCalendar *calendar", "gpointer user_data"},
			NULL 
		}
	},
	{
		"day_selected", "Day selected",
		{
			"void", 
			{"GtkBCalendar *calendar", "gpointer user_data"},
			NULL 
		}
	},
	{
		"day_selected_double_click", "Day selected double click",
		{
			"void", 
			{"GtkBCalendar *calendar", "gpointer user_data"},
			NULL 
		}
	},
	{
		"prev_month", "Previous month",
		{
			"void", 
			{"GtkBCalendar *calendar", "gpointer user_data"},
			NULL 
		}
	},
	{
		"next_month", "Next month",
		{
			"void", 
			{"GtkBCalendar *calendar", "gpointer user_data"},
			NULL 
		}
	},
	{
		"prev_year", "Previous year",
		{
			"void", 
			{"GtkBCalendar *calendar", "gpointer user_data"},
			NULL 
		}
	},
	{
		"next_year", "Next year",
		{
			"void", 
			{"GtkBCalendar *calendar", "gpointer user_data"},
			NULL 
		}
	},
};

static defclass_t defclasschild_GtkCalendar[] =
{
};

static char *defblockres_GtkCalendar[] =
{
};

static char *defrightclickmenu_GtkCalendar[] =
{
};

static init_GtkArg deftvalues_GtkCalendar[] =
{
};

static gtk_wgtdef_t wgtdef_GtkCalendar =
{
	"GtkCalendar",
	_X( gtk_calendar_get_type, calendar, GtkCalendar ),
	{ __(GtkObject), __(GtkWidget), __(GtkCalendar), {NULL} },
	PALETTE_MORE,						// Display this widget into which palette ?
	gtk_calendar_xpm,					// xpm bitmap
	-1,									// Max number of childs
	-1,									// Can't specify position of children
	-1,									// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
