
#include "../src/graphics/GtkFrame.xpm"

_EXTERN( frame )

static defclass_t defclass_GtkFrame[] =
{
	{ "GtkFrame::label",			GTK_TYPE_STRING,	"Label", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkFrame::label_xalign",		GTK_TYPE_FLOAT,		"Label X align", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkFrame::label_xalign",		GTK_TYPE_FLOAT,		"Label Y align", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkFrame::shadow",			GTK_TYPE_ENUM,		"Shadow type", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_shadow_type_values, OBJRES(GTK_TYPE_SHADOW_TYPE) }
};

static defclasssignal_t defclasssignal_GtkFrame[] =
{
};

static defclass_t defclasschild_GtkFrame[] =
{
};

static char *defblockres_GtkFrame[] =
{
};

static char *defrightclickmenu_GtkFrame[] =
{
	"GtkFrame::label"
};

static init_GtkArg deftvalues_GtkFrame[] =
{
	{ GTK_TYPE_INT, "GtkWidget::width", INIT_INT_VALUE( 100 ) },
	{ GTK_TYPE_INT, "GtkWidget::height", INIT_INT_VALUE( 80 ) }
};

static gtk_wgtdef_t wgtdef_GtkFrame =
{
	"GtkFrame",
	_X( gtk_frame_get_type, frame, GtkFrame ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkBin), __(GtkFrame), {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_frame_xpm,	 					// xpm bitmap
	1,									// Max number of children
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
