#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"


PUBLIC GtkArg * 
getdlg_hbutton_box( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	assert(0);
	return NULL;
}								// getdlg_hbutton_box


PUBLIC int 
putdlg_hbutton_box( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	assert(0);
	return -1;
}								// putdlg_hbutton_box


PUBLIC int
writecode_hbutton_box( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	assert(0);
	return 0;
}								// writecode_hbutton_box


PUBLIC int
writecode_after_hbutton_box( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	return 0;
}								// writecode_after_hbutton_box


static void
cb_enter_notify_event( GtkWidget *widget, GdkEventCrossing *event, void *data )
{
	gtk_signal_emit_stop_by_name( GTK_OBJECT (widget), "enter_notify_event" );
}								// cb_enter_notify_event

static void
cb_button_press_event( GtkWidget *widget, GdkEventCrossing *event, void *data )
{
	gtk_signal_emit_stop_by_name( GTK_OBJECT (widget), "button_press_event" );
}								// cb_button_press_event


PUBLIC void
afteraddwgt_hbutton_box( GtkWidget *wgt )
{
}								// afteraddwgt_hbutton_box


PUBLIC GtkWidget *
addwgt_hbutton_box( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	int				nb, n;
	GtkWidget		*wgt_new;
	GtkWidget		*wgt_btn;
	gtk_wgtdef_t	*wgtdef_btn;
	
	nb = 3;
	if ( !infos_addwgt_dialog( "New horizontal button box", &nb, 1, 100, "Number of columns:" ) )
		return NULL;

	wgt_new = create_new_wgt( wgtdef_newwgt, module, wgt_parent, wgt_container, NULL );

	INIT_ARGS;
	for ( n = 0; n < nb; n++ )
	{

		wgtdef_btn = search_widget_class( "GtkButton" );
		assert( wgtdef_btn != NULL );

		wgt_btn = insert_new_widget( wgt_new, wgtdef_btn,
			FALSE, 			// f_select
			TRUE,			// is_disabled
			TRUE,			// Default values
			NULL );
		assert( wgt_btn != NULL );

		INIT_ARGS;
		SETARG_OBJECT( GTK_TYPE_CONTAINER, "parent", wgt_new ); 
		SETARG_STRING( "label", "button" );
		gtk_widget_setv( GTK_WIDGET(wgt_btn), nb_args, args );
		set_data_wgtdef( wgt_btn, wgt_parent, module, FALSE, FALSE, TRUE );

		gtk_signal_connect( GTK_OBJECT(wgt_btn), "enter_notify_event",
			GTK_SIGNAL_FUNC(cb_enter_notify_event), NULL );
		gtk_signal_connect( GTK_OBJECT(wgt_btn), "button_press_event",
			GTK_SIGNAL_FUNC(cb_button_press_event), NULL );

	}

	return wgt_new;

}								// infos_addwgt_hbutton_box

