
#include "../src/graphics/GtkHandleBox.xpm"

_EXTERN( handle_box )

static defclass_t defclass_GtkHandleBox[] =
{
	{ "GtkHandleBox::shadow",				GTK_TYPE_ENUM,		"Shadow type", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_shadow_type_values, OBJRES(GTK_TYPE_SHADOW_TYPE) },
	{ "GtkHandleBox::handle_position",		GTK_TYPE_ENUM,		"Handle position", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_position_type_values, OBJRES(GTK_TYPE_POSITION_TYPE) },
	{ "GtkHandleBox::snap_edge",			GTK_TYPE_ENUM,		"Snap edge", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_position_type_values, OBJRES(GTK_TYPE_POSITION_TYPE) }
};

static defclasssignal_t defclasssignal_GtkHandleBox[] =
{
	{
		"child_attached", "Child Attached",
		{
			"void", 
			{"GtkHandleBox *handlebox", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		}
	},
	{
		"child_detached", "Child Detached",
		{
			"void", 
			{"GtkHandleBox *handlebox", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		}
	},
};

static defclass_t defclasschild_GtkHandleBox[] =
{
};

static char *defblockres_GtkHandleBox[] =
{
};

static char *defrightclickmenu_GtkHandleBox[] =
{
};

static init_GtkArg deftvalues_GtkHandleBox[] =
{
};

static gtk_wgtdef_t wgtdef_GtkHandleBox =
{
	"GtkHandleBox",
	_X( gtk_handle_box_get_type, handle_box, GtkHandleBox ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkBin), __(GtkHandleBox), {NULL} },
	PALETTE_MENU,						// Display this widget into which palette ?
	gtk_handlebox_xpm,	 				// xpm bitmap
	1,									// Max number of children
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
