
#include "../src/graphics/GtkList.xpm"

_EXTERN( list )

static defclass_t defclass_GtkList[] =
{
	{ "GtkList::selection_mode",			GTK_TYPE_ENUM,		"Selection mode", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_selection_mode_values, OBJRES(GTK_TYPE_SELECTION_MODE) },
};

static defclasssignal_t defclasssignal_GtkList[] =
{
	{
		"selection_changed", "Selection Changed",
		{
			"void", 
			{"GtkList *list", "gpointer user_data"},
			NULL 
		}
	},
	{
		"select_child", "Select Child",
		{
			"void", 
			{"GtkList *list", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		}
	},
	{
		"unselect_child", "Unselect Child",
		{
			"void", 
			{"GtkList *list", "GtkWidget *widget", "gpointer user_data"},
			NULL 
		}
	},
};

static defclass_t defclasschild_GtkList[] =
{
};

static char *defblockres_GtkList[] =
{
};

static char *defrightclickmenu_GtkList[] =
{
	"selection_changed",
	"select_child",
	"unselect_child"
};

static init_GtkArg deftvalues_GtkList[] =
{
	{ GTK_TYPE_INT, "GtkWidget::width", INIT_INT_VALUE( 64 ) },
	{ GTK_TYPE_INT, "GtkWidget::height", INIT_INT_VALUE( 48 ) }
};

static gtk_wgtdef_t wgtdef_GtkList =
{
	"GtkList",
	_X( gtk_list_get_type, list, GtkList ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkList), {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_list_xpm,  						// xpm bitmap
	-1,									// Max number of children
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
