
#include	"../src/graphics/GtkNotebook.xpm"

_EXTERN( notebook )

static defclass_t defclass_GtkNotebook[] =
{
	{ "GtkNotebook::page",			GTK_TYPE_INT,			"Current page", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
//	{ "GtkNotebook::tab_pos",		GTK_TYPE_POSITION_TYPE,	"Tab pos", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
//	{ "GtkNotebook::tab_border",   	GTK_TYPE_UINT,			"Tab border", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::tab_hborder",	GTK_TYPE_UINT,			"Tab hborder", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::tab_vborder",	GTK_TYPE_UINT,			"Tab vborder", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::show_tabs",		GTK_TYPE_BOOL,			"Show tabs", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::show_border",	GTK_TYPE_BOOL,			"Show border", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::scrollable",   	GTK_TYPE_BOOL,			"Bookmarks sscrollable", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::enable_popup",	GTK_TYPE_BOOL,			"Enable popup", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::homogeneous",	GTK_TYPE_BOOL,			"Homogeneous", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE }
};

static defclasssignal_t defclasssignal_GtkNotebook[] =
{
	{
		"switch_page", "Switch Page",
		{
			"void", 
			{"GtkNotebook *notebook", "GtkNotebookPage *page", "gint page_num", "gpointer user_data"},
			NULL 
		}
	},
};

static defclass_t defclasschild_GtkNotebook[] =
{
	{ "GtkNotebook::tab_label",		GTK_TYPE_STRING,	"Tab label", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::menu_label",  	GTK_TYPE_STRING,	"Menu label", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::position",		GTK_TYPE_INT,		"Position", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::tab_fill",		GTK_TYPE_BOOL,		"Tab fill", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkNotebook::tab_pack",		GTK_TYPE_BOOL,		"Tab pack", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE }
};

static char *defblockres_GtkNotebook[] =
{
};

static char *defrightclickmenu_GtkNotebook[] =
{
	"switch_page"
};

static init_GtkArg deftvalues_GtkNotebook[] =
{
	{ GTK_TYPE_INT, "GtkWidget::width", INIT_INT_VALUE( 100 ) },
	{ GTK_TYPE_INT, "GtkWidget::height", INIT_INT_VALUE( 80 ) }
};

static gtk_wgtdef_t wgtdef_GtkNotebook =
{
	"GtkNotebook",
	_X( gtk_notebook_get_type, notebook, GtkNotebook ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkNotebook), {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_notebook_xpm,  					// pixmap
	-1,									// Max number of childs
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
