
#include "../src/graphics/GtkPacker.xpm"

_EXTERN( packer )

static defclass_t defclass_GtkPacker[] =
{
	{ "GtkPacker::spacing",					GTK_TYPE_UINT,		"Spacing", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::default_border_width",   	GTK_TYPE_UINT,		"Default border width", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::default_pad_x",		   	GTK_TYPE_UINT,		"Default pad X", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::default_pad_y",		   	GTK_TYPE_UINT,		"Default pad Y", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::default_ipad_x",		   	GTK_TYPE_UINT,		"Default ipad X", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::default_ipad_y",		   	GTK_TYPE_UINT,		"Default ipad Y", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
};

static defclasssignal_t defclasssignal_GtkPacker[] =
{
};

static defclass_t defclasschild_GtkPacker[] =
{
	{ "GtkPacker::side",			GTK_TYPE_ENUM,		"Side", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_side_type_values, OBJRES(GTK_TYPE_SIDE_TYPE) },
	{ "GtkPacker::anchor",			GTK_TYPE_ENUM,		"Anchor", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_anchor_type_values, OBJRES(GTK_TYPE_ANCHOR_TYPE) },
	{ "GtkPacker::expand",			GTK_TYPE_BOOL,		"Expand", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::fill_x",			GTK_TYPE_BOOL,		"Fill X", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::fill_y",			GTK_TYPE_BOOL,		"Fill Y", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::use_default",		GTK_TYPE_BOOL,		"Use default", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::position",		GTK_TYPE_LONG,		"Position", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::border_width",	GTK_TYPE_UINT,		"Border width", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::pad_x",			GTK_TYPE_UINT,		"Pad X", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::pad_y",			GTK_TYPE_UINT,		"Pad Y", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::ipad_x",			GTK_TYPE_UINT,		"IPad X", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkPacker::ipad_y",			GTK_TYPE_UINT,		"IPad Y", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
};

static char *defblockres_GtkPacker[] =
{
};

static char *defrightclickmenu_GtkPacker[] =
{
};

static init_GtkArg deftvalues_GtkPacker[] =
{
};

static gtk_wgtdef_t wgtdef_GtkPacker =
{
	"GtkPacker",
	_X( gtk_packer_get_type, packer, GtkPacker ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkPacker), {NULL} },
	PALETTE_MORE,						// Display this widget into which palette ?
	gtk_packer_xpm,						// xpm bitmap
	-1,									// Max number of children
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
