#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"


PUBLIC GtkArg * 
getdlg_pixmap( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkPixmap::pixmap_file" ) )
	{
		return NULL;
	} else assert(0);
	return NULL;
}								// getdlg_pixmap


PUBLIC int 
putdlg_pixmap( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkPixmap::pixmap_file" ) )
	{
		return 1;
	} else assert(0);
	return -1;
}								// putdlg_pixmap


PUBLIC int
writecode_pixmap( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	module_info_t	*module;
	gtk_wgtdef_t	*wgtdef=NULL;

	module = get_object_data( wgt, WGTDATA_MODULE );
	assert( module != NULL );

	wgtdef = gtk_object_get_data( GTK_OBJECT(wgt), WGTDATA_WGTDEF );
	assert( wgtdef != NULL );

	if ( !strcmp( defclass->resname, "~GtkPixmap::pixmap_file" ) )
	{
		GtkArg	arg, *xarg;
		int		n;
		char	*xpm_name;
		if ( (*defclass->wgtdef_depth->pfct_getdlg)( defclass, wgt, &arg ) == NULL )
			xarg = get_outsideres_wgt( wgt, defclass->resname );
		else
			xarg = &arg;
		for ( n = 0; n < 9; n++ )
			str[ n ] = malloc( 200 );
		xpm_name = GTK_VALUE_STRING( xarg[0] );
		strcpy( str[0], "{" );
		strcpy( str[1], "\tGdkColor\t*transparent = NULL;" );
		strcpy( str[2], "\tGdkPixmap\t*icon;" );
		strcpy( str[3], "\tGdkBitmap\t*icon_mask;" );
		sprintf( str[4], "\tgtk_widget_realize( %s );",
			get_name_wgt( module->wgt_window ) );
		sprintf( str[5], "\ticon = gdk_pixmap_create_from_xpm_d( %s->window,",
			get_name_wgt( module->wgt_window ) );
		sprintf( str[6], "\t\t&icon_mask, transparent, %s_xpm );",
			xpm_name );
		sprintf( str[7], "\tgtk_pixmap_set( GTK_PIXMAP( %s ), icon, icon_mask);",
			get_name_wgt( wgt ) );
		strcpy( str[8], "}" );
		*parg = NULL;
		return 9;
	}
	else assert(0);
	return 0;
}								// writecode_pixmap


PUBLIC int
writecode_after_pixmap( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	return 0;
}								// writecode_after_pixmap


PUBLIC void
afteraddwgt_pixmap( GtkWidget *wgt )
{
}								// afteraddwgt_pixmap


PUBLIC GtkWidget *
addwgt_pixmap( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	GtkWidget	*wgt_new;

	wgt_new = create_new_wgt( wgtdef_newwgt, module, wgt_parent, wgt_container, NULL );

	return wgt_new;

}								// infos_addwgt_pixmap
