#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"


PUBLIC GtkArg * 
getdlg_radio_button( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkRadioButton::group" ) )
	{
		return NULL;
	} 
	else assert(0);
	return NULL;
}								// getdlg_radio_button


PUBLIC int 
putdlg_radio_button( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkRadioButton::group" ) )
	{
		return 1;
	}
	else assert(0);
	return -1;
}								// putdlg_radio_button


PUBLIC int
writecode_radio_button( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{

#if 1
	if ( !strcmp( defclass->resname, "~GtkRadioButton::group" ) )
	{
		GtkArg	arg, *xarg;
		if ( (*defclass->wgtdef_depth->pfct_getdlg)( defclass, wgt, &arg ) == NULL )
			xarg = get_outsideres_wgt( wgt, defclass->resname );
		else
			xarg = &arg;
		*parg = NULL;
		str[0] = malloc( 200 + strlen( GTK_VALUE_STRING( xarg[0] ) ) );
		assert(str[0] != NULL);
		sprintf( str[0], "gtk_radio_button_set_group( GTK_RADIO_BUTTON( %s ), gtk_radio_button_group( GTK_RADIO_BUTTON( %s ) ) );",
			get_name_wgt(wgt), 
			GTK_VALUE_STRING( xarg[0] ) );
		return 1;
	}
#else
	if ( !strcmp( defclass->resname, "~GtkRadioButton::group" ) )
	{
		GtkArg	arg, *xarg, *narg;
		char	*ref;
		if ( (*defclass->wgtdef_depth->pfct_getdlg)( defclass, wgt, &arg ) == NULL )
			xarg = get_outsideres_wgt( wgt, defclass->resname );
		else
			xarg = &arg;
		ref = GTK_VALUE_STRING( xarg[0] ) ;
trace( " 1) [%s]\n", ref );
//		narg = gtk_arg_new( GTK_TYPE_OBJECT );
//		GTK_VALUE_OBJECT( narg[0] ) = 0x1234;
//		*parg = narg;
		return 0;
	}
#endif
	else assert(0);
	return 0;
}								// writecode_radio_button


PUBLIC int
writecode_after_radio_button( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	return 0;
}								// writecode_after_radio_button


static void
cb_enter_notify_event( GtkWidget *widget, GdkEventCrossing *event, void *data )
{
	gtk_signal_emit_stop_by_name( GTK_OBJECT (widget), "enter_notify_event" );
}								// cb_enter_notify_event

static void
cb_button_press_event( GtkWidget *widget, GdkEventCrossing *event, void *data )
{
	gtk_signal_emit_stop_by_name( GTK_OBJECT (widget), "button_press_event" );
}								// cb_button_press_event


PUBLIC void
afteraddwgt_radio_button( GtkWidget *wgt )
{

	gtk_signal_connect( GTK_OBJECT(wgt), "enter_notify_event",
		GTK_SIGNAL_FUNC(cb_enter_notify_event), NULL );
	gtk_signal_connect( GTK_OBJECT(wgt), "button_press_event",
		GTK_SIGNAL_FUNC(cb_button_press_event), NULL );

}								// afteraddwgt_radio_button


PUBLIC GtkWidget *
addwgt_radio_button( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	GtkWidget	*wgt_new;

	wgt_new = create_new_wgt( wgtdef_newwgt, module, wgt_parent, wgt_container, NULL );

	return wgt_new;

}								// addwgt_radio_button


