#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <inttypes.h>
#include <assert.h>

#include "../glg.h"


PUBLIC GtkArg * 
getdlg_radio_menu_item( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkRadioMenuItem::group" ) )
	{
		return NULL;
	} 
	else assert(0);
	return NULL;
}								// getdlg_radio_menu_item


PUBLIC int 
putdlg_radio_menu_item( defclass_t *defclass, GtkWidget *wgt, GtkArg *parg )
{
	if ( !strcmp( defclass->resname, "~GtkRadioMenuItem::group" ) )
	{
		return 1;
	} 
	else assert(0);
	return -1;
}								// putdlg_radio_menu_item


PUBLIC int
writecode_radio_menu_item( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	if ( !strcmp( defclass->resname, "~GtkRadioMenuItem::group" ) )
	{
		GtkArg	arg, *xarg;
		if ( (*defclass->wgtdef_depth->pfct_getdlg)( defclass, wgt, &arg ) == NULL )
			xarg = get_outsideres_wgt( wgt, defclass->resname );
		else
			xarg = &arg;
		*parg = NULL;
		str[0] = malloc( 200 + strlen( GTK_VALUE_STRING( xarg[0] ) ) );
		assert(str[0] != NULL);
		sprintf( str[0], "gtk_radio_menu_item_set_group( GTK_RADIO_MENU_ITEM( %s ), gtk_radio_menu_item_group( GTK_RADIO_MENU_ITEM( %s ) ) );",
			get_name_wgt(wgt), 
			GTK_VALUE_STRING( xarg[0] ) );
		return 1;
	}
	return 0;
}								// writecode_radio_menu_item


PUBLIC int
writecode_after_radio_menu_item( defclass_t *defclass, GtkWidget *wgt, GtkArg **parg, char **str )
{
	return 0;
}								// writecode_after_radio_menu_item


PUBLIC void
afteraddwgt_radio_menu_item( GtkWidget *wgt )
{
}								// afteraddwgt_radio_menu_item


PUBLIC GtkWidget *
addwgt_radio_menu_item( struct gtk_wgtdef_t *wgtdef_newwgt, module_info_t *module,
	GtkWidget *wgt_parent, GtkWidget *wgt_container )
{
	GtkWidget	*wgt_new;

	wgt_new = create_new_wgt( wgtdef_newwgt, module, wgt_parent, wgt_container, NULL );

	return wgt_new;

}								// infos_addwgt_radio_menu_item
