
#include "../src/graphics/GtkScrolledWindow.xpm"

_EXTERN( scrolled_window )

static defclass_t defclass_GtkScrolledWindow[] =
{
	{ "GtkScrolledWindow::hadjustment",			GTK_TYPE_POINTER,	"Horizontal adjustment", GTK_ARG_READWRITE | GTK_ARG_CONSTRUCT, SAVED_INSIDE, TRUE, TRUE, NULL, OBJRES(GTK_TYPE_ADJUSTMENT) },
	{ "GtkScrolledWindow::vadjustment",			GTK_TYPE_POINTER,	"Vertical adjustment", GTK_ARG_READWRITE | GTK_ARG_CONSTRUCT, SAVED_INSIDE, TRUE, TRUE, NULL, OBJRES(GTK_TYPE_ADJUSTMENT) },
	{ "GtkScrolledWindow::hscrollbar_policy",	GTK_TYPE_ENUM,		"Horizontal scrollbar policy", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_policy_type_values, OBJRES(GTK_TYPE_POLICY_TYPE) },
	{ "GtkScrolledWindow::vscrollbar_policy",	GTK_TYPE_ENUM,		"Vertical scrollbar policy", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_policy_type_values, OBJRES(GTK_TYPE_POLICY_TYPE) },
	{ "GtkScrolledWindow::window_placement",	GTK_TYPE_ENUM,		"Window placement", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE, _gtk_corner_type_values, OBJRES(GTK_TYPE_CORNER_TYPE) }
};

static defclasssignal_t defclasssignal_GtkScrolledWindow[] =
{
};

static defclass_t defclasschild_GtkScrolledWindow[] =
{
};

static char *defblockres_GtkScrolledWindow[] =
{
};

static char *defrightclickmenu_GtkScrolledWindow[] =
{
};

static init_GtkArg deftvalues_GtkScrolledWindow[] =
{
	{ GTK_TYPE_ENUM, "GtkScrolledWindow::hscrollbar_policy", INIT_ENUM_VALUE( GTK_POLICY_AUTOMATIC ) },
	{ GTK_TYPE_ENUM, "GtkScrolledWindow::vscrollbar_policy", INIT_ENUM_VALUE( GTK_POLICY_AUTOMATIC ) },
};

static gtk_wgtdef_t wgtdef_GtkScrolledWindow =
{
	"GtkScrolledWindow",
	_X( gtk_scrolled_window_get_type, scrolled_window, GtkScrolledWindow ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkBin), __(GtkScrolledWindow), {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_scrolledwindow_xpm,				// xpm bitmap
	1,									// Max number of childs
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
