
#include "../src/graphics/GtkToggleButton.xpm"

_EXTERN( toggle_button )

static defclass_t defclass_GtkToggleButton[] =
{
	{ "GtkToggleButton::active",				GTK_TYPE_BOOL,	"Active", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE },
	{ "GtkToggleButton::draw_indicator",		GTK_TYPE_BOOL,	"Draw indicator", GTK_ARG_READWRITE, SAVED_INSIDE, TRUE, TRUE }
};

static defclasssignal_t defclasssignal_GtkToggleButton[] =
{
	{
		"toggled", "Toggled",
		{
			"void", 
			{"GtkToggleButton *togglebutton", "gpointer user_data"},
			NULL 
		}
	},
};

static defclass_t defclasschild_GtkToggleButton[] =
{
};

static char *defblockres_GtkToggleButton[] =
{
};

static char *defrightclickmenu_GtkToggleButton[] =
{
	"toggled",
};

static init_GtkArg deftvalues_GtkToggleButton[] =
{
	{ GTK_TYPE_STRING, "GtkButton::label", INIT_STRING_VALUE( "Toggle button" ) },
};

static gtk_wgtdef_t wgtdef_GtkToggleButton =
{
	"GtkToggleButton",
	_X( gtk_toggle_button_get_type, toggle_button, GtkToggleButton ),
	{ __(GtkObject), __(GtkWidget), __(GtkContainer), __(GtkBin), __(GtkButton), __(GtkToggleButton),  {NULL} },
	PALETTE_BASIC,						// Display this widget into which palette ?
	gtk_togglebutton_xpm,	  			// xpm bitmap
	1,									// Max number of childs
	TRUE,								// Can't specify position of children
	TRUE,								// Can't specify size of children
	FALSE,								// See insert_new_widget(), placeholder only
	FALSE,								// See cb_module_button_press_event()
};
